#!/bin/sh

echo -e "\033[1;33mcompressing logs...\033[0m"
find "$(portageq envvar PORT_LOGDIR)" -type f -name "*.log" -exec xz -z -9 '{}' \; && echo -e "\033[1;32mcompressing logs finished!\033[0m" || echo -e "\033[1;31mfailed!\033[0m"


# updatedb
/root/updatedb.sh
echo -e "\033[1;33mstarting database-update...\033[0m" 
updatedb && echo -e "\033[1;32mupdating database finished!\033[0m" || echo -e "\033[1;31mfailed!\033[0m"
